#include <bits/stdc++.h>
using namespace std;
#define task "N!!"
int main()
{
	ios_base::sync_with_stdio(false);
	cin_tie(NULL);
freopen(task ".inp","r",stdin);
freopen(task ".out", "w", stdout);
   long long d=1,e=1;
   long long n; cin>>n; 
   if (n%2==0)
   {
       for (int i=2; i<=n; i=i++)
        if (i%2==0)
        d=d*i;
   }
   if (n%2==1)
    {
        for (long long x=1;x<=n;x++)
            if (x%2==1)
            e=e*x;
    }
       if (n%2==0)
    cout<<d;
       if (n%2==1)
           cout<<e;

}


